Skip to main content
POST
/
api
/
projects
/
{projectId}
/
change-requests
/
{changeRequestId}
/
activities
Create activity
curl --request POST \
  --url https://api.example.com/api/projects/{projectId}/change-requests/{changeRequestId}/activities \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "comment": "<string>",
  "requestChange": false
}
'
import requests

url = "https://api.example.com/api/projects/{projectId}/change-requests/{changeRequestId}/activities"

payload = {
"comment": "<string>",
"requestChange": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({comment: '<string>', requestChange: false})
};

fetch('https://api.example.com/api/projects/{projectId}/change-requests/{changeRequestId}/activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "description": "<string>",
  "document": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "key": "<string>"
  },
  "documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "environment": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>"
  },
  "environmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "release": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "version": "<string>"
  },
  "releaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "branch": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>"
  },
  "branchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "commit": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "message": "<string>"
  },
  "createdBy": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "email": "jsmith@example.com",
    "firstName": "<string>",
    "lastName": "<string>"
  },
  "activities": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "comment": "<string>",
      "createdBy": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "email": "jsmith@example.com",
        "firstName": "<string>",
        "lastName": "<string>"
      }
    }
  ],
  "snapshot": {
    "approvalMode": "<string>",
    "approvalGroups": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "approvals": [
          "<unknown>"
        ],
        "description": "<string>"
      }
    ],
    "approvals": [
      "<unknown>"
    ],
    "canComplete": true
  },
  "documentVersion": "<unknown>",
  "previousDocumentVersion": "<unknown>",
  "previousRelease": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "version": "<string>"
  },
  "previousReleaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Personal access token is obtained through your profile

Path Parameters

projectId
string<uuid>
required

Project unique identifier

changeRequestId
string<uuid>
required

Change request unique identifier

Body

application/json
type
enum<string>
required

Activity type to perform

Available options:
create,
comment,
approve,
unapprove,
reject,
cancel,
complete
comment
string | null

Optional comment for the activity

requestChange
boolean
default:false

Whether to request changes

Response

200 - application/json

Updated change request with the new activity

Updated change request with the new activity

id
string<uuid>
required

Change request unique identifier

type
enum<string>
required

Type of change request

Available options:
publish_document,
unpublish_document,
deploy_environment,
undeploy_environment,
merge_branch
status
enum<string>
required

Current status of the change request

Available options:
pending,
rejected,
cancelled,
completed
projectId
string<uuid>
required

Project unique identifier

createdAt
string
required

Change request creation timestamp

updatedAt
string
required

Change request last update timestamp

description
string | null

Change request description

document
object | null

Document information

documentId
string<uuid> | null

Document unique identifier

environment
object | null

Environment information

environmentId
string<uuid> | null

Environment unique identifier

release
object | null

Release information

releaseId
string<uuid> | null

Release unique identifier

branch
object | null

Branch information

branchId
string<uuid> | null

Branch unique identifier

commit
object | null

Commit information

createdBy
object | null

User information

activities
object[]

List of activities

snapshot
object

Change request snapshot containing approval state

documentVersion
any | null

Document version being published

previousDocumentVersion
any | null

Previous document version

previousRelease
object | null

Release information

previousReleaseId
string<uuid> | null

Previous release unique identifier